Bug 74276 - java plugin works only for root
java plugin works only for root
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: mozilla (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-19 09:27 EDT by Rex Dieter
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-19 10:48:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2002-09-19 09:27:17 EDT
This is a problem that has existed for me for quite some time... going all the  
way back to mozilla-0.9.9 as distributed with redhat 7.3.  In all this time,  
I've never been able to get sun's java plugin to work for a regular user with 
mozilla (I've had success with galeon).  I've tried both sun's jre 1.3.1_04 
and jre 1.4.0_01.    It just doesn't ever do anything for webpages with java 
applets (acts like there is no java plugin).  Two oddities:  
1.  the plugin *is* displayed in mozilla's About->Plugin's menu. 
2.  the plugin *does* work, only if running as root.
Comment 1 Christopher Blizzard 2002-09-19 10:23:06 EDT
Sounds like some sort of permissions problem.  I've been using the java plugin
here without problems for a long time.
Comment 2 Rex Dieter 2002-09-19 10:48:07 EDT
The funny thing is that the java plugin works fine in Netscape4, konqueror, 
and galeon, just not mozilla.  Which java runtime are you using, and where/how 
did you install it?  (I have it installed to /usr/lib/sun-j2se1.3 and 
/usr/lib/sun-j2se1.4 repectively, with plugin symlinks into 
/usr/lib/mozilla/plugins). 
Comment 3 Rex Dieter 2002-09-21 12:58:05 EDT
OK, I'm a tard... it helps to actually have the "enable Java" preference 
activated... (-:

Note You need to log in before you can comment on or make changes to this bug.